package com.kingdee.eas.custom.dormitorysystem.task;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class DormitorysystemFacadeFactory
{
    private DormitorysystemFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.dormitorysystem.task.IDormitorysystemFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.task.IDormitorysystemFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("5DE95217") ,com.kingdee.eas.custom.dormitorysystem.task.IDormitorysystemFacade.class);
    }
    
    public static com.kingdee.eas.custom.dormitorysystem.task.IDormitorysystemFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.task.IDormitorysystemFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("5DE95217") ,com.kingdee.eas.custom.dormitorysystem.task.IDormitorysystemFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.dormitorysystem.task.IDormitorysystemFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.task.IDormitorysystemFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("5DE95217"));
    }
    public static com.kingdee.eas.custom.dormitorysystem.task.IDormitorysystemFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.dormitorysystem.task.IDormitorysystemFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("5DE95217"));
    }
}